package com.abi.qms.platform.service;

import com.abi.qms.platform.dto.req.ReportReq;
import com.abi.qms.platform.dto.res.ListBrandCodeReportRes;
import com.abi.qms.platform.dto.res.ListSkuCodeRankingReportRes;

/**
 * @author ludashi
 * @date 2021年06月02日 15:39
 */
public interface ReportService {

   /**
    * 品牌使用码量占比
    * @author ludashi
    * @date 2021/6/2 17:50
    * @param reportReq
    * @return com.abi.qms.platform.dto.res.ListBrandCodeReportRes
    */
   ListBrandCodeReportRes queryBrandCodeProportion(ReportReq reportReq);


   /**
    * SKU使用码量排名
    * @param reportReq
    * @return
    */
   ListSkuCodeRankingReportRes querySkuCodeRanking(ReportReq reportReq);
}
